/*
	Write by xempo Nov 2015
	Free under LGPL
*/

#include "peconf.h"

static const char confchs[]="PEconf";

PEConf  *PEcfg;

inline void TabWdg::closing2()
{
int i;
ProEdit *pe2, *pe=(ProEdit *)(topLevelWidget()->parentWidget());
pe->setFnt(comboFont->currentText(), comboSize->currentText(),
	boldChk->isChecked(), italicChk->isChecked(), underlineChk->isChecked());
for(i=0; i<proEditList.count(); i++){
	pe2=proEditList.at(i);
	if(pe!=pe2)pe2->setFnt(comboFont->currentText(), comboSize->currentText(),
			boldChk->isChecked(), italicChk->isChecked(), underlineChk->isChecked());
	}
}

/*_________________________ ProEdit config ________________________ */

PEConf::PEConf(QWidget *par) : CfgWidget(par, confchs)
{
}

PEConf::~PEConf()
{
	PEcfg=NULL;
}

void PEConf::execu(const int w, const int h, const int id)
{
#define  _hg  fntSz*3/2
#define  dtfmt  9
int W;
CfgWidget::execu(w,h,id);
tab=new TabWdg(tabwdg, 54/* __params[54] */);
tab->init(_cfg_+3, tabw, fntSz, proEditFontId);
QWidget *tab2=new QWidget(tabwdg);
tabwdg->addTab(tab2, QString::fromUtf8(_cfg_[dtfmt+1]));
// QGroupBox *group=new QGroupBox(QString::fromUtf8(proEditChs), tab1);
proEditDft=new QCheckBox(QString::fromUtf8(_cfg_[dtfmt+2]), tab2);
proEditDft->setChecked(pms_proEditDft);
peBak=new QCheckBox(QString::fromUtf8(_cfg_[dtfmt+3]), tab2);
peBak->setChecked(pms_baktm);
W=fntSz*2;
proEditDft->setGeometry(W, _hg*2, tabw-W-2, inputH);
peBak->setGeometry(W, _hg*4, tabw-W-2, inputH);

show();
}

static QMetaObjectCleanUp cleanUp_PEConf( confchs, &PEConf::staticMetaObject );
QMetaObject *PEConf::metaObj = 0;
QMetaObject* PEConf::staticMetaObject()
{
  if ( !metaObj ){
    static const QMetaData slot_tbl[] = {
	{ sure , &slot_0_0, QMetaData::Private },
	{ "dtfmtSel()", &slot_0_0, QMetaData::Private },
	{ fastKey , &slot_int, QMetaData::Private }
    };
    metaObj = QMetaObject::new_metaobject( confchs, QWidget::staticMetaObject(), slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_PEConf.setMetaObject( metaObj );
    }
  return metaObj;
}

#ifndef QT_NO_PROPERTIES
bool PEConf::qt_static_property( QObject* , int , int , QVariant* ){ return false; }
#endif // QT_NO_PROPERTIES

bool PEConf::qt_invoke( int _id, QUObject* _o )
{
int  sw=_id - staticMetaObject()->slotOffset();
switch(sw){
//case 0 :
case 0 : tab->closing2();
	pms_proEditDft=proEditDft->isChecked();
	pms_baktm=peBak->isChecked();
	close();
	break;
case 1 : tab->changddtt();
	break;
case 2 :  switch(_o[1].payload.i){
	case 600 : loadSearchModify((Filesan *)(parentWidget()->parentWidget()));
		break;
	case 601 : ((Filesan *)(parentWidget()->parentWidget()))->showTop();
/*		break;
	case 602 : help();
*/
	}
	break;
default : return QWidget::qt_invoke( _id, _o );
}
return true;
}
