/*
	Write by xempo
	Free under LGPL
*/

#ifndef  __C_FUN
#define  __C_FUN

#define is_numb(ch) (ch>47 && ch<58)

#define BOOL int

enum FILE_TEST { none_File=-7,  lost_Link=-8,  no_Right=-9,  symLink=2 };

enum filemode{ mode_x=1, mode_w=2, mode_r=4, mode_dev=8, 
	mode_dir=16, mode_sub=32, is_image=128 };

struct findparams {
const char *pth, *filters, *kwFind, *kwRepl;
int uId, gId; // init -1
long long sizelmt0, sizelmt1; // init -1
uint timelmt0, timelmt1; // 0
};

extern int *__params;

__BEGIN_DECLS

extern int doThread(int stackSize, void *(*func) (void *), void *pms);

extern void strins(char *sc, const char *in);

extern void fmtInps(char *pth);

extern BOOL isWritable(int uid, int gid, struct stat64 *st);

extern BOOL isReadable(int uid, int gid, struct stat64 *st);

extern BOOL isExecable( int uid, int gid, struct stat64 *st );

extern int operaState(struct stat64 *st);

extern BOOL lmtStat(struct stat64 *src_st, const struct findparams *fndpm); /* SearchModify:: */

extern int namcmp(const char *nam1, const char *nam2, BOOL cs);

extern __ORD *_diropen(__ORD *pdir, const char *dirnam);

extern int numbRead(__ORD *dir, int numb, MAU *send, int n, BOOL msg);

extern BOOL numbWrite(__ORD *dir, int numb, MAU *send, int n);

extern BOOL ORDtest(__ORL *fsp, __ORD *dir);

extern int isExist(const char *fnam, struct stat64 *sb); // rt => -1:none; 0:norm; 1:fail-lnk; 2 symlink
extern int subDirCount(const char *dirnam);
extern char *parentDirIndex(const char *dirnam, const char *par);
extern int getMode(const char *fn, BOOL *xtag);
extern char *useSysCmd(const char *cmd);

extern int chtime(const char *fnam, const struct stat64 *st);

extern char *copyInfo(int cpMode, int rclt, int mSz, int sz, int take);

extern const char *getImageData(const char *filenam, unsigned int *Len);

extern int creatFile(const char *fnam);

extern const char tfile[], torl[];
extern const char *getDropFN(const char *fn, int *tDrop);

/*  fn like  /home/xempo/.orllus-3.6.2/Language/zh_CN */
extern char *divORL(char *fn);

extern void idCpFile(char  *fn, const char *dst);

/* return :  0 is dir; i is id ;  2 is fail */
extern int idCp(char *fn, char *dst, int d, __ORD *dir, const char *eng);

__END_DECLS

#endif
