/*
	Write by xempo 12-2014
	Free under LGPL
*/

#ifndef  ORL_Console
#define  ORL_Console

#include <qmainwindow.h>
#include "filesan.h"

class QTextBrowser;
class QAction;
class QComboBox;

class ORLcon : public QMainWindow
{
moc_Object
public :
ORLcon(QWidget *par);
// ~ORLcon();
void showTop();

void exe();
void updateZone(__ORL *lib);
void fspCom();
void showInfo(const char *txt, const char *cap);
QTextBrowser *getBrowser() const
{ return brow; }

Combo *getInput() const
{ return input; }

void setCurLib(__ORL *lib){ clib=lib; }

void setEnter(bool en){ enter=en; }

protected :
bool event( QEvent *e);

private :
QTextBrowser *brow;
Filesan *filesor;
TreeView *treeview;
StatusPanel *sbar;
Combo *input;
__ORL *clib;
const char **_orlcon_;
int Msg, _isMax;
bool enter, tableMsg;
__ORL *getCurLib();
QAction *infoAct, *closeCurAct;
// *setPathAct, *helpAct,
// *findAct, *fastFindAct;
QString showdata;
void addInfo(const char *txt);
};

extern ORLcon *ORL_con;

extern void menuPlusDo(void *);
extern int showMess(const char *txt);
extern void getMess(const char *buf);
extern void outText(int x, int attrib, const char *buf);
extern void writeCon(__ORD *dir, const char *txt);
extern __ORL *testORL(__ORL *fsp);

extern const char slot_help[];

#endif
