<html>
<head>
<style> 
 .fun-org { font-family: "DejaVu Serif";
	  font-size:12pt;
	  font-style: "oblique";
	}
 .cpp {
	font-family: "DejaVu Serif";
	font-size:12pt;
	font-weight:600;
	color: #248c30;
	}
  .orlLib {
	font-family:"DejaVu Serif";
	font-size:12pt;
	font-weight:600;
	color: #901010;
	}
  .orlDir {
	font-family:"DejaVu Serif";
	font-size:12pt;
	font-weight:600;
	color: #24308c;
	}
  .defExt {
	font-family:"DejaVu Serif";
	font-size:12pt;
	font-weight:600;
	color: #105010;
	}
</style>
</head>
<body bgcolor=#ebebeb>
<pre>
<a class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLopen(const char *filenam, int msg)</a>
打开一个ORL文件，如果成功则返回ORL指针，否则是null，具体错误查看idxdscpt。
msg是一个位合成值，含2个意义：DectName(512)和FastBuf(1024)，一般在稳定运行中使用DectName|FastBuf。

<a name="_ORLclose_" class="fun-org"><span class=defExt>extern</span> int ORLclose(<span class=fspLib>__ORL</span> *lib, <span class=fspLib>__ORL</span>* (*Compr)(<span class=fspLib>__ORL</span> *,char *,int))</a>
关闭ORL文件，Compr是压缩函数，用于自动侦测压缩，可以是置空，此时没有自动压缩，
例如：ORLClose(ORL,NULL);

<a name="_ORLcreat_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLcreat(char *fname,unshort *lst)</a>
产生一个ORL文件，lst让用户设定根目录的属性：具体如ORDcreat中的params，但此处多了2个参数，一个为zcache-size，一个为是否有缓冲区。
lst可以是NULL，表示使用默认。

<a name="_ORLalloc_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLalloc(void)</a>
申请一个ORL空间, 并将空间初始化置0。

<a name="_ORDopen_" class="fun-org"><span class=defExt>extern</span> <span class=fspDir>__ORD</span> *ORDopen(<span class=fspDir>__ORD</span> *pdir,char *pth)</a>
打开一个目录，pdir是打开了的目录，一般用于pth的相对路径。

<a name="_ORDclose_" class="fun-org"><span class=defExt>extern</span> int ORDclose(<span class=fspDir>__ORD</span> *dir, int mode))</a>
关闭目录，dir是要关闭的目录，mode=0表示绝对关闭，否则关闭一层（次，可能有多次打开）。

<a name="_ORDcreat_" class="fun-org"><span class=defExt>extern</span> <span class=fspDir>__ORD</span> *ORDcreat(<span class=fspDIr>__ORD</span> *dir, char *pth, const un_Int *paras)</a>
paras[0]：/* 格式，默认Format=0  */
paras[1]：/* 号码预分配个数，默认n_stat_FCT=10 */
paras[2]：/* 目录预分配个数，默认dir_stat_FCT=4  */
paras[3]：/*  DAU个数，默认=1 */
paras[4]：/* mode: RW (1|2) */
paras可以是NULL，表示使用默认。

<a name="_ORDread_" class="fun-org"><span class=defExt>extern</span> <span class=fspDir>__ORD</span> *ORDread(<span class=fspLib>__ORL</span> *lib,<span class=fspDir>__ORD</span> *dirbuf,DirStat *du,long adr)</a>
读入目录, 返回目录指针。adr是目录的磁盘地址, dirbuf是传入的存储缓冲,
du是根据名字查找到的目录stat。

<a name="_ORDalloc_" class="fun-org"><span class=defExt>extern</span> <span class=fspDir>__ORD</span> *ORDalloc(void)</a>
申请一个目录空间并初始化空间。

<a name="_NumRead_" class="fun-org"><span class=defExt>extern</span> BYTE *NumRead(<span class=fspDir>__ORD</span> *dir,long numb,MAU *send,int n)</a>
读取一个号码的内容, n指有多少个DAU, 可以少于实际数, send是承载取出资料的结构体。

<a name="_NumWrite_" class="fun-org"><span class=defExt>extern</span> void NumWrite(<span class=fspDir>__ORD</span> *dir,long numb,MAU *send,int n)</a>
写入一个号码的内容, n指有多少个DAU, 可以少于实际数, send是承载写入资料的结构体。

<a name="_writeInit_" class="fun-org"><span class=defExt>extern</span> BYTE *writeInit(<span class=fspDir>__ORD</span> *dir,long numb,MAU *send,int n)</a>
写入一个资料的初始化。返回stat的指针，用于WriteStat的资料最终写入。
n指有多少个DAU, 可以少于实际数, send是承载写入资料的结构体。

<a name="_writeStat_" class="fun-org"><span class=defExt>extern</span> void writeStat(<span class=fspDir>__ORD</span> *dir,BYTE *InitedStat,MAU *send,int n)</a>
资料的最终写入。

<a name="_sysIdRead_" class="fun-org"><span class=defExt>extern</span> char *sysIdRead(<span class=fspLib>__ORL</span> *lib, int numb)</a>
读取特定Id。

<a name="_sysIdWrite_" class="fun-org"><span class=defExt>extern</span> void sysIdWrite(<span class=fspLib>__ORL</span> *lib, int numb, MAU *mau)</a>
写入特定Id。

<a name="_writeDAU_" class="fun-org"><span class=defExt>extern</span> void writeDAU(<span class=fspDir>__ORD</span> *dir, BYTE *stat, MAU *send, int sw )</a>
写入一个号码的一个DAU, stat是号码的状况, 通过ReadStat查找得到。
sw是目录(dir)下的号码的样式。

<a name="_readDAU_" class="fun-org"><span class=defExt>extern</span> char *readDAU(<span class=fspDir>__ORD</span> *dir,BYTE *stat,MAU *send,int sw)</a>
读取一个号码的一个DAU, stat是号码的状况, 通过ReadStat查找得到。
sw是目录(dir)下的号码的样式。

<a name="_readStat_" class="fun-org"><span class=defExt>extern</span> void readStat(<span class=fspDir>__ORD</span> *dir,BYTE *stat,MAU *send,int n)</a>
根据stat读取一个号码。n指有多少个DAU, 可以少于实际数, send是承载取出资料的结构体。

<a name="_statSeek_" class="fun-org"><span class=defExt>extern</span> BYTE *statSeek(<span class=fspDir>__ORD</span> *dir,long numb,char *dirnam,int flg)</a>
查找一个符合要求的stat, dirnam为NULL时为查找号码, 否则是目录。
<a class="cpp">#define </a> NumSeek(dir,numb,flg) statSeek(dir,numb,NULL,flg)
<a class="cpp">#define </a> ORDseek(dir,dirnam,flg) (DirStat *)statSeek(dir,0,dirnam,flg)

<a name="_putMsg_" class="fun-org"><span class=defExt>extern</span> int putMsg(const char *txt, const char *cap, int msg, void *pt)</a>

<a name="_runLog_" class="fun-org"><span class=defExt>extern</span> void runLog(const char *chs)</a>

<a name="_errInfo_" class="fun-org"><span class=defExt>extern</span> void errInfo(int idx, const char *pm)</a>

<a name="_ORLtips_" class="fun-org"><span class=defExt>extern</span> int ORLtips(int idx,int msg)</a>
/* msg>0 Warn( ** ), &2(1bit) is Queck */

<a name="_defaultHB_" class="fun-org"><span class=defExt>extern</span> void defaultHB(int idx)</a>

<a name="_reportBug_" class="fun-org"><a class="cpp">#define</a> reportBug()    defaultHB(28)

<a name="_indexUsage_" class="fun-org"><span class=defExt>extern</span> int indexUsage(int nCom, const _Int *coms)</a>

<a name="_showUsage_" class="fun-org"><span class=defExt>extern</span> extern void showUsage(int nCom)</a>

<a name="_scriptTips_" class="fun-org"><span class=defExt>extern</span> void scriptTips(int msg)</a>
/* msg: 0: no extern-tips, no wait; 1: no wait; >1 extern-tips & wait */

<a name="_HBinfo_" class="fun-org"><span class=defExt>extern</span> char *HBinfo(int idx, int isRoot)</a>

<a name="_GetUsage_" class="fun-org"><a class="cpp">#define</a> GetUsage(nmb)     HBinfo(nmb,0)

<a name="_GetHB_" class="fun-org"><a class="cpp">#define</a>  GetHB(idx)    HBinfo(idx,1)

<a name="_ORLinfo_" class="fun-org"><span class=defExt>extern</span> void ORLinfo(<span class=fspDir>__ORD</span> *dir, char *buf)</a>

<a name="_ORLhb_" class="fun-org"><span class=defExt>extern</span> void ORLhb(const int idx, const char *txt)</a>

<a name="_ORputas_" class="fun-org"><span class=defExt>extern</span> int ORputas(<span class=fspLib>__ORL</span> *lib, int space)</a>

<a name="_usedORL_" class="fun-org"><span class=defExt>extern</span> int usedORL(const char *fn, const char *inpPath)</a>

<a name="_extDest_" class="fun-org"><span class=defExt>extern</span> void (*extDest)(void *)</a>
use in void ORLreleas(<span class=fspLib>__ORL</span> *lib, void (*extDest)(void *p) )

<a name="_ORLuse_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLuse(const char *filenam, OpenSpace msg, int n)</a>
/* n: -1 append workspace; -2 no workspace; >-1 is spe */

<a name="_ORLspac_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLspac(const char *pth, OpenSpace msg, int n)</a>
/* n: -1 append workspace; -2 no workspace; >-1 is spe */

<a name="_ORLreleas_" class="fun-org"><span class=defExt>extern</span> void ORLreleas(<span class=fspLib>__ORL</span> *lib, void (*fun)(void *p) )</a>
void (*fun)(void *p)可以是空。

<a name="_readTo_" class="fun-org"><span class=defExt>extern</span> BOOL readTo(<span class=fspDir>__ORD</span> *dir, BYTE *unit, int Type, int cnt, FILE *fp)</a>

<a name="_ORLexpo_" class="fun-org"><span class=defExt>extern</span> void ORLexpo(<span class=fspLib>__ORL</span> *, int argc, char **argv, int type)</a>

<a name="_NumCopy_" class="fun-org"><span class=defExt>extern</span> void NumCopy(<span class=fspLib>__ORL</span> *,char **pms, const char *extparm)</a>

<a name="_ORDcopy_" class="fun-org"><span class=defExt>extern</span> void ORDcopy(<span class=fspLib>__ORL</span> *, int argc, char **argv, const char *extparm)</a>

<a name="_getSpace_" class="fun-org"><span class=defExt>extern</span> BOOL getSpace(const char *extparm,int *s,int *d)</a>

<a name="_selSpace_" class="fun-org"><span class=defExt>extern</span> int selSpace(int sel)</a>

<a name="_getPdPara_" class="fun-org"><span class=defExt>extern</span> void getPdPara(<span class=fspDir>__ORD</span> *dir, un_Int *lst)</a>

<a name="_fixpath_" class="fun-org"><span class=defExt>extern</span> char *fixpath(const char *pthnam, const char *tmp)</a>

<a name="_ORLrebuild_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLrebuild(<span class=fspLib>__ORL</span> *send, const char *filenam, int msg)</a>
/* msg ShowTips or OptiFit */

<a name="_orfn_" class="fun-org"><span class=defExt>extern</span> const char *orfn(const char *fnam, const char *self, const char *inst, int *rt, const char **selfcwd)</a>

<a name="_init_" class="fun-org"><span class=defExt>extern</span> int init(int *argc, char **argv, const char *conStr/* fmt list */)</a>

<a name="_outTxt_" class="fun-org"><span class=defExt>extern</span> void outTxt(int x, int attr, const char *txt)</a>

<a name="_inCon_" class="fun-org"><span class=defExt>extern</span> int inCon(char *buf, int lmt)</a>

<a name="_setCfgVal_" class="fun-org"><span class=defExt>extern</span> void setCfgVal(char *pms)</a>

<a name="_comRun_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *comRun(<span class=fspLib>__ORL</span> *,char *inpbuf, int env, const char *pth)</a>
/* env => 0bit : append;  1bit : mkar, no info */

<a name="_ORDinfors_" class="fun-org"><span class=defExt>extern</span> void ORDinfors(<span class=fspDir>__ORD</span> *, char *buf, int s)</a>
/* s: 0 no show tip; 1 show tip; 2 with tip no show (only return OutBuf */

<a name="_ORLscript_" class="fun-org"><span class=defExt>extern</span> <span class=fspLib>__ORL</span> *ORLscript(<span class=fspLib>__ORL</span> *lib, char *txt, int msg, const char *pth)</a>

<a name="_isNumb_" class="fun-org"><span class=defExt>extern</span> int isNumb(const char *pt)</a>

<a name="_paraExpre_" class="fun-org"><span class=defExt>extern</span> int paraExpre(unsigned int val, char *buf, const char *fmt)</a>
// return buf len

</pre>
</body>
</html>
